Skip to main content
PUT
/
v1
/
profile
/
notifications
Update notification settings
curl --request PUT \
  --url https://api.example.com/v1/profile/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_notifications": true,
  "push_notifications": true,
  "categories": {
    "security": true,
    "marketing": true,
    "updates": true
  }
}
'
import requests

url = "https://api.example.com/v1/profile/notifications"

payload = {
    "email_notifications": True,
    "push_notifications": True,
    "categories": {
        "security": True,
        "marketing": True,
        "updates": True
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    email_notifications: true,
    push_notifications: true,
    categories: {security: true, marketing: true, updates: true}
  })
};

fetch('https://api.example.com/v1/profile/notifications', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email_notifications
boolean

Enable email notifications

push_notifications
boolean

Enable push notifications

categories
object

Response

200

Notification settings updated successfully